sddm(1)

Name
sddm - the simple desktop display manager

SYNOPSIS

sddm [OPTIONS...]

DESCRIPTION

sddm is a display and login manager based on Qt technologies.

Using QtQuick and QML, designers are given the ability to easily create pleasant, modern looking interfaces for sddm.

sddm runs the greeter as a system user named sddm whose home directory needs to be set to /var/lib/sddm.

If pam and systemd are available, the greeter will go through logind, which will give it access to drm devices.

Distributions without pam and systemd will need to put the sddm user into the video group, otherwise errors regarding GL and drm devices might be experienced.

For X11 sessions, the cookie for X authorization is written into a temporary file /tmp/xauth_XXXXXX, owned and only accessible by the user.

OPTIONS

--test-mode
    Start daemon in test mode.

--example-config
    Print the complete current configuration to stdout

--help, -h
    Show help message and exit.

FILES

/usr/pkg/lib/sddm/sddm.conf.d
    System configuration directory

/usr/pkg/etc/sddm.conf.d
    Local configuration directory

/usr/pkg/etc/sddm.conf
    Local configuration file for compatibility

/usr/pkg/share/sddm/themes
    Where sddm looks for themes

SEE ALSO

sddm.conf(5)

The full documentation for sddm is available at <https://github.com/sddm/sddm>